Bug 113805 - Insert->Footnote/Endnote , choose character
Summary: Insert->Footnote/Endnote , choose character
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.1.0 target:6.0.3
Keywords: bibisected, bisected, needUITest, regression
Depends on:
Blocks:
 
Reported: 2017-11-13 17:23 UTC by raal
Modified: 2018-04-15 07:16 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2017-11-13 17:23:51 UTC
Description:
menu Insert->Footnote/Endnote

select character
click Choose
double click one character to insert




Actual Results:  
character is inserted into document

Expected Results:
should be inserted into textbox in Footnote/Endnote dialog 


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:56.0) Gecko/20100101 Firefox/56.0
Comment 1 raal 2017-11-13 17:24:55 UTC
This seems to have begun at the below commit.
Adding Cc: to XXX ; Could you possibly take a look at this one?
Thanks

a2cfa55d74f6d34045287873db3812bafdb38006 is the first bad commit
commit a2cfa55d74f6d34045287873db3812bafdb38006
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Thu Jul 27 22:50:01 2017 -0700

    source sha:710a39414569995bd5a8631a948c939dc73bcef9
authorAkshay Deep <akshaydeepiitr@gmail.com>2017-05-11 07:57:38 (GMT) committerSamuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>2017-06-19 12:36:32 (GMT) commit710a39414569995bd5a8631a948c939dc73bcef9 (patch) treee3da87fd9012713605004e8bd20ca2b98df45ac5 parentcacb75aa0bea36d4e5fc083a75a8b376133d3d65 (diff) GSoC: Glyph View and Recent Characters Control in Special Characters dialog
Comment 2 Xisco Faulí 2017-11-13 18:41:35 UTC
Reproduced in

Version: 6.0.0.0.alpha1+
Build ID: a7f961ddd88df4117de5f7c199881cf75d2905b5
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Adding Cc: to Akshay Deep
Comment 3 Commit Notification 2018-03-05 23:24:06 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=80c98c069b37bd2f8f67d2f6b59edc3b4c6abea5

Resolves: tdf#113805 insert special character fails in insert footnote, etc dialog

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2018-03-06 11:35:09 UTC
fixed in master now, backport to 6-0 in gerrit
Comment 5 Commit Notification 2018-03-07 12:20:55 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=80dafc57786b6e342468cea227e25fd17ac6dd10&h=libreoffice-6-0

Resolves: tdf#113805 insert special character fails in insert footnote...

It will be available in 6.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 raal 2018-04-15 07:16:04 UTC
Verified in Version: 6.1.0.0.alpha0+
Build ID: b91855d2344deaec92116ae42c9188ba15ec8566
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: x11; 

Thanks for the fix.